Change to 1.8 pvp

BaconBoy6101

Well-Known Member
#1
Hey guys, so I realize that many people requested 1.8 pvp a while back so we got rid of the combat timer. However, even though there is no combat timer that doesn't make it 1.8 pvp. In 1.8 pvp, there is block hitting. Also, more KB is also dealt in 1.8 than 1.12. I think it is really important that we develop a plugin to increase the KB and add block hitting.
 

Stynix

Well-Known Member
#2
I feel like this is something we need. However, there are already a lot of features on the network that are only 1.12+ compatible so reverting to 1.8 wouldn't be the best idea.
 

OmegaW0lf

Well-Known Member
#3
If possible I agree that it would be good in the long run. Even the most major of servers still have 1.8 pvp enabled so it isn't actually that hard, nor something Max hasn't thought about.
 
#4
I have not been on in a while, but are that many people still using 1.8.x? The only reason i would personally go to versions that old are for mods in 1.5.x/1.6.x/1.7.x. Although most of the updates have been not to ground breaking. I honestly do not see why so many people hate the 1.9 update so much, does it really make a difference the less than a second wait? You could also use this plugin
https://www.spigotmc.org/resources/1-8-pvp-for-1-9-1-10-and-1-11.19291/
I was actually unaware they removed blocking, I never really used it other than for fun.
 
Last edited:

BaconBoy6101

Well-Known Member
#6
I feel like some people may have misunderstood what I said so I am just gonna say this FTR. I would just like to state that I didn’t mean we needed to change the whole server to 1.8. The only thing I want to change is the amount of KB dealt and allow players to have the ability to block hit.
 
Top